<%@ page pageEncoding="UTF-8" language="java" contentType="text/html; utf-8" %>

<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>

<html:html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <title><bean:message key="AddressBook.title"/></title>
        <html:base/>
    </head>
    <body>

    <h3><bean:message key="AddressBook.header.add"/></h3>

    <html:errors/>

    <html:form action="/add" method="post" onsubmit="return validateAddForm(this);">
        <table>
            <tr>
                <td><bean:message key="AddressBook.add.name"/>:</td>
                <td><html:text property="name"/></td>
            </tr>
            <tr>
                <td><bean:message key="AddressBook.add.phone"/>:</td>
                <td><html:text property="phone"/></td>
            </tr>
            <tr>
                <td><bean:message key="AddressBook.add.age"/>:</td>
                <td><html:text property="age"/></td>
            </tr>
            <tr>
                <td><bean:message key="AddressBook.add.comment"/>:</td>
                <td><html:text property="comment"/></td>
            </tr>
            <tr>
                <td colspan="2"><html:submit titleKey="AddressBook.add.submit"/></td>
            </tr>
        </table>
    </html:form>

    <html:javascript formName="addForm"/>
    
    </body>
</html:html>
